Find available regions (Python)

Gets a list of available regions for database creation.

The clients only return regions that support vector databases. To return other regions, use a direct HTTP request with the region-type query parameter.

You need an application token with permission to create and configure databases, such as the Organization Administrator role.

For more information, see Get endpoint and token.

Result

Returns an AstraDBAvailableRegionInfo object that contains information about the available regions.

Parameters

Use the find_available_regions method, which belongs to the AstraDBAdmin class.

Method signature
find_available_regions(
  *,
  only_org_enabled_regions: bool,
  database_admin_timeout_ms: int,
  request_timeout_ms: int,
  timeout_ms: int,
) -> list[AstraDBAvailableRegionInfo]
Name Type Summary

only_org_enabled_regions

bool

Optional. Whether to only return regions that can be used by the caller’s organization.

Default: True

database_admin_timeout_ms

int

Optional. A timeout, in milliseconds, to impose on the underlying API request. If not provided, the AstraDBAdmin defaults apply.

This parameter is aliased as request_timeout_ms and timeout_ms for convenience.

Examples

The following examples demonstrate how to find available regions.

from astrapy import DataAPIClient

client = DataAPIClient("APPLICATION_TOKEN")

admin = client.get_admin()

regions = admin.find_available_regions()

print(regions)

Client reference

For more information, see the client reference.

Was this helpful?

Give Feedback

How can we improve the documentation?

© Copyright IBM Corporation 2026 | Privacy policy | Terms of use Manage Privacy Choices

Apache, Apache Cassandra, Cassandra, Apache Tomcat, Tomcat, Apache Lucene, Apache Solr, Apache Hadoop, Hadoop, Apache Pulsar, Pulsar, Apache Spark, Spark, Apache TinkerPop, TinkerPop, Apache Kafka and Kafka are either registered trademarks or trademarks of the Apache Software Foundation or its subsidiaries in Canada, the United States and/or other countries. Kubernetes is the registered trademark of the Linux Foundation.

General Inquiries: Contact IBM